from fastapi import APIRouter
from src.services.memory.implement.memory_impl_1 import MemoryImpl1
from src.services.planner.implement.planner_impl1 import PlannerImpl1

chat_router = APIRouter(prefix='/chat')

@chat_router.get("/chat1")
async def chat1(user_msg: str):
    # 记忆模块
    memory_service = MemoryImpl1()
    memory_service.search_memory_info(user_msg)
    memory_service.update_memory_info(user_msg)

    # 决策模块
    planner_service = PlannerImpl1()
    plan_result =planner_service.plan(user_msg)

    if plan_result['action'] == "answer":
        "调用llm_service"
        pass
    elif plan_result['action'] == "content":
        "调用content_service"
        pass
    elif plan_result['action'] == "function":
        "调用function_service"
        pass
    elif plan_result['action'] == "game":
        "调用game_service"
        pass

    # 进一步返回结果
    return {}


@chat_router.get("/chat2")
async def chat2():
    pass